Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class XMLDataObject.Info

    java.lang.Object
      org.openide.loaders.XMLDataObject.Info

All Implemented Interfaces:
  Cloneable

Enclosing class:
  XMLDataObject

Deprecated. use Lookup Representation of xmlinfo file holding container of Processors.

    public static final class XMLDataObject.Info

extends Object
implements Cloneable

Constructor Summary
`XMLDataObject.Info()` Deprecated. Create info

Method Summary
`void` | `addProcessorClass(Class proc)` Deprecated. Add processor class to info.
`Object` | `clone()` Deprecated.
`boolean` | `equals(Object obj)` Deprecated.
`String` | `getIconBase()` Deprecated.
`Iterator` | `processorClasses()` Deprecated.
`boolean` | `removeProcessorClass(Class proc)` Deprecated. Remove processor class from info.
`void` | `setIconBase(String base)` Deprecated. Set icon base
`void` | `write(Writer writer)` Deprecated. Write specified info to writer

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDataObject.Info

    public XMLDataObject.Info()

  Deprecated.
  Create info

Method Detail

### clone

    public Object clone()

  Deprecated.
  Overrides:
    `clone` in class `Object`

### addProcessorClass

    public void addProcessorClass(Class proc)

  Deprecated.
  Add processor class to info. The class should be public and either implement the Processor interface or should have public constructor with one argument (DataObject or XMLDataObject).

  Parameters:
    `proc` - the class to add to this info
  Throws:
    `IllegalArgumentException` - if the class does not seem to be valid

### removeProcessorClass

    public boolean removeProcessorClass(Class proc)

  Deprecated.
  Remove processor class from info.

  Returns:
    true if removed

### processorClasses

    public Iterator processorClasses()

  Deprecated.

### setIconBase

    public void setIconBase(String base)

  Deprecated.
  Set icon base

### getIconBase

    public String getIconBase()

  Deprecated.
  Returns:
    icon base

### write

    public void write(Writer writer)
               throws IOException

  Deprecated.
  Write specified info to writer

  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.